Create Memory
curl --request POST \
--url https://api.example.com/api/ai/deployments/{deploymentId}/memories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memory": {
"id": "<string>",
"content": "<string>",
"ruleId": "<string>",
"ruleName": "<string>",
"repositoryId": "<string>",
"repositoryName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"context": [
"<string>"
],
"pathPrefixes": [
"<string>"
],
"suggestionSources": {
"sources": [
{
"note": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sampleIssueId": "<string>",
"prCommentUrl": "<string>",
"reviewCommentId": "<string>"
}
]
},
"preanalysisCounts": {
"newlyTruePositive": "<string>",
"newlyFalsePositive": "<string>",
"remainsTruePositive": "<string>",
"remainsFalsePositive": "<string>"
},
"vulnerabilityClass": "<string>",
"projectTagId": 123
},
"deploymentId": "<string>"
}
'import requests
url = "https://api.example.com/api/ai/deployments/{deploymentId}/memories"
payload = {
"memory": {
"id": "<string>",
"content": "<string>",
"ruleId": "<string>",
"ruleName": "<string>",
"repositoryId": "<string>",
"repositoryName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"context": ["<string>"],
"pathPrefixes": ["<string>"],
"suggestionSources": { "sources": [
{
"note": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sampleIssueId": "<string>",
"prCommentUrl": "<string>",
"reviewCommentId": "<string>"
}
] },
"preanalysisCounts": {
"newlyTruePositive": "<string>",
"newlyFalsePositive": "<string>",
"remainsTruePositive": "<string>",
"remainsFalsePositive": "<string>"
},
"vulnerabilityClass": "<string>",
"projectTagId": 123
},
"deploymentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memory: {
id: '<string>',
content: '<string>',
ruleId: '<string>',
ruleName: '<string>',
repositoryId: '<string>',
repositoryName: '<string>',
createdAt: '2023-11-07T05:31:56Z',
createdBy: '<string>',
context: ['<string>'],
pathPrefixes: ['<string>'],
suggestionSources: {
sources: [
{
note: '<string>',
createdBy: '<string>',
createdAt: '2023-11-07T05:31:56Z',
sampleIssueId: '<string>',
prCommentUrl: '<string>',
reviewCommentId: '<string>'
}
]
},
preanalysisCounts: {
newlyTruePositive: '<string>',
newlyFalsePositive: '<string>',
remainsTruePositive: '<string>',
remainsFalsePositive: '<string>'
},
vulnerabilityClass: '<string>',
projectTagId: 123
},
deploymentId: '<string>'
})
};
fetch('https://api.example.com/api/ai/deployments/{deploymentId}/memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory": {
"id": "<string>",
"content": "<string>",
"ruleId": "<string>",
"ruleName": "<string>",
"repositoryId": "<string>",
"repositoryName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"context": [
"<string>"
],
"pathPrefixes": [
"<string>"
],
"suggestionSources": {
"sources": [
{
"note": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sampleIssueId": "<string>",
"prCommentUrl": "<string>",
"reviewCommentId": "<string>"
}
]
},
"preanalysisCounts": {
"newlyTruePositive": "<string>",
"newlyFalsePositive": "<string>",
"remainsTruePositive": "<string>",
"remainsFalsePositive": "<string>"
},
"vulnerabilityClass": "<string>",
"projectTagId": 123
}
}Memories
Create Memory
Create a new memory.
POST
/
api
/
ai
/
deployments
/
{deploymentId}
/
memories
Create Memory
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I